1.2

1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}

Description

Set PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

PrivateLinkEndpointSetRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "description": "description"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-05-17T00:23:17Z",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "name": "endpoint",
        "privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
        "status": "CANCELED"
    }
}